GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
gtpin::GtHliCompilationOptions Struct Reference
GTPin: High-Level Instrumentation (HLI) Library

HLI module compilation options. More...

`#include <igt_hli_library.h>`

## Public Member Functions
| GtHliCompilationOptions (const char *clangFlags=nullptr, bool baseAtomic64=true, bool extAtomic64=true)
| Constructor.
## Data Fields
const char * | clangCmdFlags
| Command line flags of the Clang compiler.
bool | enableBaseAtomic64
| Indicates that the HLI module uses 64-bit base atomic operations.
bool | enableExtAtomic64
| Indicates that the HLI module uses 64-bit extetnded atomic operations.

## Detailed Description

HLI module compilation options.

See also:
  https://registry.khronos.org/OpenCL/specs/opencl-1.0.pdf and https://registry.khronos.org/OpenCL/sdk/1.0/docs/man/xhtml/EXTENSION.html for description of OpenCL C compiler options
  https://releases.llvm.org/11.0.0/tools/clang/docs/ClangCommandLineReference.html#compilation-flags for description of the Clang command line flags

Note:
  GTPin always appends the directory of the compiled source file to the include search path. Other include directories can be added to the search path by "-I<dir>" arguments in the 'clangCmdFlags' string.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT